ne_ssl_proto_name
Prev | neon API reference | Next

## Name

ne_ssl_proto_name — SSL/TLS protocol version to name mapping

## Synopsis

    #include <ne_ssl.h>

`const char *ne_ssl_proto_name(` | enum ne_ssl_protocol proto`)`;

## Description

The `ne_ssl_proto_name` function returns a human-readable name for a SSL/TLS version constant. The set of versions currently are as follows:

`NE_SSL_PROTO_UNSPEC` | unspecified/unknown version
`NE_SSL_PROTO_SSL3` | SSL v3
`NE_SSL_PROTO_TLS_1_0` | TLS v1.0
`NE_SSL_PROTO_TLS_1_1` | TLS v1.1
`NE_SSL_PROTO_TLS_1_2` | TLS v1.2
`NE_SSL_PROTO_TLS_1_3` | TLS v1.3

## Return value

The `ne_ssl_proto_name` function always returns a non-`NULL` string even if the version constant is not valid.

## History

`ne_ssl_proto_name` is available in neon 0.34.0 and later.

## See also

ne_ssl_set_protovers

Prev | Up | Next
ne_ssl_trust_cert | Home | ne_ssl_set_protovers